Bug Hunting Session
Bug 53633 - Selected and cropped image wronly exported
Summary: Selected and cropped image wronly exported
Status: RESOLVED WORKSFORME
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
3.6.0.4 release
Hardware: All All
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-17 07:54 UTC by Fernand
Modified: 2015-05-06 16:26 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
draw document with croped image (1.33 MB, application/vnd.oasis.opendocument.graphics)
2012-08-17 08:02 UTC, Fernand
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Fernand 2012-08-17 07:54:34 UTC

    
Comment 1 Fernand 2012-08-17 08:02:25 UTC
Created attachment 65671 [details]
draw document with croped image
Comment 2 Fernand 2012-08-17 08:12:11 UTC
open the drawdocument
select the cropped image
do a jpg export (selection)
the resulting jpg contains wrong parts of the original cropped image
can been avoid to not use "selection" but make the page same dimensions as the cropped image
Comment 3 Hashem Masoud 2012-10-11 08:09:32 UTC
(In reply to comment #2)
Confirmed here:
Version 3.6.1.2 (Build ID: e29a214) Slackware Linux 13.37

Only part of the image is exported, although I highlighted the whole image and choose "selection" in the export dialog window.
Comment 4 Robert Roth 2013-01-28 15:47:06 UTC
Also affects Ubuntu 12.10 x64, updating platform and os affected.
Comment 5 QA Administrators 2015-02-19 15:42:21 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present on a currently supported version of LibreOffice (4.4.0.3 or later): https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the version of LibreOffice and your operating system, and any changes you see in the bug behavior

If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a short comment that includes your version of LibreOffice and Operating System

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not appropriate in this case)

Thank you for your help!

-- The LibreOffice QA Team
This NEW Message was generated on: 2015-02-19
Comment 6 Buovjaga 2015-03-07 15:01:35 UTC
I find this impossible to confirm without an attached "bad image" to compare with.

In my test it worked logically, exporting the same as visible in Draw. I certainly would not expect it to export the whole uncropped image.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the image.
Comment 7 QA Administrators 2015-05-06 14:21:38 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INVALID due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

-- The LibreOffice QA Team 

This INVALID Message was generated on: 2015-05-06

Warm Regards,
QA Team
Comment 8 Buovjaga 2015-05-06 16:26:47 UTC
Fernand: thanks for testing. I'll set to WORKSFORME as we don't know the commit that fixed this.